---
name: Developer experience problem
about: Tell us about slow builds, tests, and code editing
---

<!--
Thank you for sharing your development experience concerns with the InfluxDB IOx team.

Have your read the contributing guide?
https://github.com/influxdata/influxdb/blob/main/CONTRIBUTING.md

We welcome your thoughts and feedback on the IOx developer experience.

In particular:
- Is your code editor sluggish?
- How long does your edit-build or edit-test cycle take?
- Is your cardboard sword wearing out faster than usual?

We especially welcome your experience improving your development environment.
- Which hardware tradeoffs work best?
- Which code editor and plugins have been helpful?
- Suggest build configuration or code organization tweaks?

Thank you!
-->

## Describe Development Experience Issue:

<!--
Be descriptive, write a few sentences describing the difficult (or positive) developer experience.
-->

### Steps to reproduce:

<!--
For example:
1. git checkout deadbeef
2. cargo clean
3. cargo build --offline
4. ...
-->

1. ...
2. ...
3. ...
4. ...

### Desired result:

<!--
For example:
Build time less than 5 minutes
-->

### Actual result:
<!--
For example:
Build time 15m32s
-->

## Hardware Environment:

<!--
Describe the hardware you are developing on.
-->

- Package: ... <!-- laptop, workstation, cloud VM, etc -->
- CPU: ...
- Memory: ...
- Block Device: ...

## Operating System:

<!--
If Unix-like, then the command `uname -a` is ideal.
-->

## Code Editing Tool:

<!--
Describe your IDE or code editor, with version.
Some examples:
- vim 8.2
- IntelliJ CLion 2021.2.3
- VS Code 1.61.0
-->

## Build Environment:

[ ] I'm using sccache

<!--
Describe your build environment.
Some examples:
- IDE build trigger
- IDE debug trigger
- bash: cargo build
- zsh: cargo build --release
-->
